#
# LAM setup
#
# skip LAM preconfiguration (lam.conf + config.cfg), values: (true/false)
# If set to true the other variables below have no effect.
LAM_SKIP_PRECONFIGURE=false
# domain of LDAP database root entry, will be converted to dc=...,dc=...
LDAP_DOMAIN=my-domain.com
# LDAP base DN to overwrite value generated by LDAP_DOMAIN
LDAP_BASE_DN=dc=my-domain,dc=com
# LDAP users DN to overwrite value provided by LDAP_BASE_DN
LDAP_USERS_DN=ou=people,dc=my-domain,dc=com
# LDAP groups DN to overwrite value provided by LDAP_BASE_DN
LDAP_GROUPS_DN=ou=groups,dc=my-domain,dc=com
# LDAP server URL
LDAP_SERVER=ldap://ldap:389
# LDAP admin user (set as login user for LAM)
LDAP_USER=cn=admin,dc=my-domain,dc=com
# default language, e.g. en_US, de_DE, fr_FR, ...
LAM_LANG=en_US
# LAM configuration master password and password for server profile "lam"
LAM_PASSWORD=lam

# configuration database (files or mysql)
LAM_CONFIGURATION_DATABASE=files
# MySQL server if database is mysql
LAM_CONFIGURATION_HOST=
# MySQL port if database is mysql
LAM_CONFIGURATION_PORT=
# MySQL user name if database is mysql
LAM_CONFIGURATION_USER=
# MySQL password if database is mysql
LAM_CONFIGURATION_PASSWORD=
# MySQL database name if database is mysql
LAM_CONFIGURATION_DATABASE_NAME=

# LAM Pro license (line breaks can be removed)
LAM_LICENSE=

# deactivate TLS certificate checks, activate for development only
LAM_DISABLE_TLS_CHECK=false

#
# docker-compose only, LDAP server setup
#
# LDAP organisation name for OpenLDAP
LDAP_ORGANISATION="LDAP Account Manager Demo"
# LDAP admin password
LDAP_ADMIN_PASSWORD=adminpw
# password for LDAP read-only user
LDAP_READONLY_USER_PASSWORD=readonlypw
